Bug 32786 - Provide /etc/simplesamlphp/[FQDN]-idp-certificate.crt via web
Provide /etc/simplesamlphp/[FQDN]-idp-certificate.crt via web
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: SAML
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1
Assigned To: Florian Best
Erik Damrose
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 06:38 CEST by Stefan Gohmann
Modified: 2015-11-17 12:11 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-10-02 06:38:42 CEST
It would be nice if the identity provider public certificate would be available via a web browser.
Comment 1 Florian Best univentionstaff 2015-08-25 11:39:17 CEST
You can get it at least via accessing /simplesamlphp/saml2/idp/metadata.php as part of the XML document.
Comment 2 Erik Damrose univentionstaff 2015-08-25 11:48:11 CEST
Correct, but many SPs which can be configured via web interface offer a upload possibility for the certificate
Comment 3 Florian Best univentionstaff 2015-09-22 19:08:07 CEST
univention-saml (3.0.9-1):
r63900 | Bug #32786: provide certificate via /simplesamlphp/saml2/idp/certificate
Comment 4 Erik Damrose univentionstaff 2015-09-28 14:45:55 CEST
Reopen: The certificate is available, but how does one find it? I think there should be a hyperlink available somewhere. Maybe extend the SAML identity provider module?

Reopen: Changelog missing
Comment 5 Florian Best univentionstaff 2015-10-05 15:06:20 CEST
A downloadlink is now located in the module.
Comment 6 Erik Damrose univentionstaff 2015-10-06 12:24:54 CEST
This looks really good.
OK: Download link available in helptext
OK: Changelog
Verified
Comment 7 Stefan Gohmann univentionstaff 2015-11-17 12:11:29 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".